default.hpp File Reference

Forward declares `boost::hana::default_` and `boost::hana::is_default`. More...

## Classes

struct | boost::hana::default_
| Mark a tag-dispatched method implementation as a default implementation. More...
struct | boost::hana::is_default< Method, typename >
| Returns whether a tag-dispatched method implementation is a default implementation. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::default_` and `boost::hana::is_default`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)